Bug 514848 - Make selfwrite ACI keyword with with Name And Optional UID syntax attributes
Summary: Make selfwrite ACI keyword with with Name And Optional UID syntax attributes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Security - Access Control (ACL)
Version: 1.2.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 434914 389_1.2.1
TreeView+ depends on / blocked
 
Reported: 2009-07-31 02:18 UTC by Nathan Kinder
Modified: 2015-12-07 16:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:37:55 UTC


Attachments (Terms of Use)
Patch (1.40 KB, patch)
2009-07-31 02:19 UTC, Nathan Kinder
no flags Details | Diff

Description Nathan Kinder 2009-07-31 02:18:10 UTC
The selfwrite ACI keyword currently only applies when writing to attributes using the Distringuished Name syntax.  It needs to also work with the Name And Optional UID syntax since that is the syntax used for the uniqueMember attribute.

Comment 1 Nathan Kinder 2009-07-31 02:19:51 UTC
Created attachment 355768 [details]
Patch

Comment 3 Nathan Kinder 2009-07-31 02:39:56 UTC
Pushed patch from comment#1 to master.  Thanks to Rich for his review!

Comment 4 Jenny Severance 2010-06-07 18:32:51 UTC
Verified

Regression test for this is automated in nightly acceptance testing - all ACL acceptance tests are passing on all supported operating systems.


Note You need to log in before you can comment on or make changes to this bug.